=== debian/control ===
Source: ros-noetic-tf2-server
Section: misc
Priority: optional
Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), libgtest-dev <!nocheck>, python3-setuptools, ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-message-generation, ros-noetic-nodelet, ros-noetic-roscpp, ros-noetic-rostest <!nocheck>, ros-noetic-tf <!nocheck>, ros-noetic-tf2-msgs, ros-noetic-tf2-ros
Homepage: https://github.com/peci1/tf2_server
Standards-Version: 3.9.2

Package: ros-noetic-tf2-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-geometry-msgs, ros-noetic-message-runtime, ros-noetic-nodelet, ros-noetic-roscpp, ros-noetic-rospy, ros-noetic-tf2-msgs, ros-noetic-tf2-ros
Description: TF2 server that can provide transforms over separate TF topics
